/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.html.preview.processor;

import java.io.File;

/**
 * @author Pavel Savinov
 */
public interface HtmlPreviewProcessor {

	public static final int WIDTH_DEFAULT = 1024;

	public File generateContentHtmlPreview(String content);

	public File generateContentHtmlPreview(String content, int width);

	public File generateURLHtmlPreview(String url);

	public File generateURLHtmlPreview(String url, int width);

	public String getMimeType();

}